API reference
List webhook deliveries
GET
/v1/webhook-deliveriesAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard (no sk_ prefix required).
In: header
Query Parameters
limit?number
Page size (1-200, default 50).
payment_order_id?string
endpoint_id?string
status?string
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/webhook-deliveries"{
"items": [
{
"id": "string",
"webhook_endpoint_id": "string",
"event_id": "string",
"event_type": "payment_order.created",
"payment_order_id": "string",
"status": "pending",
"attempts": 0,
"response_status": -9007199254740991,
"response_duration_ms": -9007199254740991,
"error_message": "string",
"next_retry_at": "2019-08-24T14:15:22Z",
"last_attempt_at": "2019-08-24T14:15:22Z",
"succeeded_at": "2019-08-24T14:15:22Z",
"dead_lettered_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
]
}{
"statusCode": -9007199254740991,
"message": "string",
"error": "string"
}